Debian Bug report logs - #545751
mysql-server-5.1 installation failure

version graph

Package: mysql-server-5.1; Maintainer for mysql-server-5.1 is Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>;

Reported by: emmanuel.vazquez@supelec.fr

Date: Tue, 8 Sep 2009 21:30:05 UTC

Severity: normal

Merged with 539479, 545752

Found in versions mysql-dfsg-5.1/5.1.36-4, mysql-dfsg-5.1/5.1.37-2, mysql-dfsg-5.1/5.1.41-3

Forwarded to http://bugs.mysql.com/bug.php?id=50336

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Tue, 08 Sep 2009 21:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to emmanuel.vazquez@supelec.fr:
New Bug report received and forwarded. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Tue, 08 Sep 2009 21:30:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emmanuel Vazquez <emmanuel.vazquez@supelec.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mysql-server-5.1 installation failure
Date: Tue, 08 Sep 2009 23:23:21 +0200
Package: mysql-server-5.1
Version: 5.1.37-2
Severity: grave
Justification: renders package unusable


Upgrading mysql-server from 5.0 to 5.1 ends up with unusable
package.

Installation fails with the following message:

Setting up mysql-server-5.1 (5.1.37-2) ...
Stopping MySQL database server: mysqld.
Starting MySQL database server: mysqld . . . . . . . . . . . . . . failed!
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error processing mysql-server-5.1 (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of mysql-server:
mysql-server depends on mysql-server-5.1; however:
 Package mysql-server-5.1 is not configured yet.
dpkg: error processing mysql-server (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
mysql-server-5.1
mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
%%%

Syslog says:

Sep  8 23:13:15 orange mysqld_safe[10071]: 090908 23:13:15 [ERROR] 
/usr/sbin/mysqld: unknown option '--skip-bdb'
Sep  8 23:13:15 orange mysqld_safe[10071]: 090908 23:13:15 [ERROR] Aborting
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]: 090908 23:13:15 [Warning] 
Forcing shutdown of 2 plugins
Sep  8 23:13:15 orange mysqld_safe[10071]: 090908 23:13:15 [Note] 
/usr/sbin/mysqld: Shutdown complete
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]: Installation of system tables 
failed!  Examine the logs in
Sep  8 23:13:15 orange mysqld_safe[10071]: /srv/mysql for more information.
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]: You can try to start the 
mysqld daemon with:
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]:     shell> /usr/sbin/mysqld 
--skip-grant &
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]: and use the command line tool 
/usr/bin/mysql
Sep  8 23:13:15 orange mysqld_safe[10071]: to connect to the mysql 
database and look at the grant tables:
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]:     shell> /usr/bin/mysql -u 
root mysql
Sep  8 23:13:15 orange mysqld_safe[10071]:     mysql> show tables
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]: Try 'mysqld --help' if you 
have problems with paths.  Using --log
Sep  8 23:13:15 orange mysqld_safe[10071]: gives you a log in /srv/mysql 
that may be helpful.
Sep  8 23:13:15 orange mysqld_safe[10071]: Try 'mysqld --help' if you 
have problems with paths.  Using --log
Sep  8 23:13:15 orange mysqld_safe[10071]: gives you a log in /srv/mysql 
that may be helpful.
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]: The latest information about 
MySQL is available on the web at
Sep  8 23:13:15 orange mysqld_safe[10071]: http://www.mysql.com/.  
Please consult the MySQL manual section
Sep  8 23:13:15 orange mysqld_safe[10071]: 'Problems running 
mysql_install_db', and the manual section that
Sep  8 23:13:15 orange mysqld_safe[10071]: describes problems on your 
OS.  Another information source are the
Sep  8 23:13:15 orange mysqld_safe[10071]: MySQL email archives 
available at http://lists.mysql.com/.
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10071]: Please check all of the above 
before mailing us!  And remember, if
Sep  8 23:13:15 orange mysqld_safe[10071]: you do mail us, you MUST use 
the /usr/scripts/mysqlbug script!
Sep  8 23:13:15 orange mysqld_safe[10071]:
Sep  8 23:13:15 orange mysqld_safe[10119]: 090908 23:13:15 [Note] Plugin 
'FEDERATED' is disabled.
Sep  8 23:13:15 orange mysqld_safe[10119]: 090908 23:13:15  InnoDB: 
Started; log sequence number 0 43655
Sep  8 23:13:15 orange mysqld_safe[10119]: 090908 23:13:15 [ERROR] 
/usr/sbin/mysqld: unknown option '--skip-bdb'
Sep  8 23:13:15 orange mysqld_safe[10119]: 090908 23:13:15 [ERROR] Aborting
Sep  8 23:13:15 orange mysqld_safe[10119]:
Sep  8 23:13:15 orange mysqld_safe[10119]: 090908 23:13:15  InnoDB: 
Starting shutdown...
Sep  8 23:13:17 orange mysqld_safe[10119]: 090908 23:13:17  InnoDB: 
Shutdown completed; log sequence number 0 43655
Sep  8 23:13:17 orange mysqld_safe[10119]: 090908 23:13:17 [Warning] 
Forcing shutdown of 1 plugins
Sep  8 23:13:17 orange mysqld_safe[10119]: 090908 23:13:17 [Note] 
/usr/sbin/mysqld: Shutdown complete
Sep  8 23:13:17 orange mysqld_safe[10119]:
.
.
.
Sep  8 23:13:18 orange mysqld_safe[10249]: 090908 23:13:18 [Note] Plugin 
'FEDERATED' is disabled.
Sep  8 23:13:18 orange mysqld_safe[10249]: 090908 23:13:18  InnoDB: 
Started; log sequence number 0 43655
Sep  8 23:13:18 orange mysqld_safe[10249]: 090908 23:13:18 [ERROR] 
/usr/sbin/mysqld: unknown option '--skip-bdb'
Sep  8 23:13:18 orange mysqld_safe[10249]: 090908 23:13:18 [ERROR] Aborting
Sep  8 23:13:18 orange mysqld_safe[10249]:
.
.
.
-- System Information:
Debian Release: squeeze/sid
 APT prefers testing
 APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages mysql-server-5.1 depends on:
ii  adduser                3.110             add and remove users and groups
ii  debconf [debconf-2.0]  1.5.27            Debian configuration 
management sy
ii  libc6                  2.9-25            GNU C Library: Shared libraries
ii  libdbi-perl            1.609-1           Perl Database Interface (DBI)
ii  libgcc1                1:4.4.1-1         GCC support library
ii  libmysqlclient16       5.1.37-2          MySQL database client library
ii  libstdc++6             4.4.1-1           The GNU Standard C++ Library v3
ii  libwrap0               7.6.q-18          Wietse Venema's TCP 
wrappers libra
ii  lsb-base               3.2-23            Linux Standard Base 3.2 
init scrip
ii  mysql-client-5.1       5.1.37-2          MySQL database client binaries
ii  mysql-common           5.1.37-2          MySQL database common files 
(e.g.
ii  passwd                 1:4.1.4.2-1       change and administer 
password and
ii  perl                   5.10.0-25         Larry Wall's Practical 
Extraction
ii  psmisc                 22.8-1            utilities that use the proc 
file s
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages mysql-server-5.1 recommends:
ii  bsd-mailx [mailx]  8.1.2-0.20081101cvs-2 A simple mail user agent
ii  libhtml-template-p 2.9-1                 HTML::Template : A module 
for usin

Versions of packages mysql-server-5.1 suggests:
pn  tinyca                        <none>     (no description available)

-- debconf information:
* mysql-server/error_setting_password:
 mysql-server-5.1/start_on_boot: true
 mysql-server-5.1/postrm_remove_databases: false
 mysql-server-5.1/nis_warning:
 mysql-server-5.1/really_downgrade: false
 mysql-server/password_mismatch:
 mysql-server/no_upgrade_when_using_ndb:





Reply sent to Norbert Tretkowski <norbert@tretkowski.de>:
You have taken responsibility. (Wed, 09 Sep 2009 08:42:07 GMT) Full text and rfc822 format available.

Notification sent to emmanuel.vazquez@supelec.fr:
Bug acknowledged by developer. (Wed, 09 Sep 2009 08:42:07 GMT) Full text and rfc822 format available.

Message #10 received at 545751-done@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: emmanuel.vazquez@supelec.fr, 545751-done@bugs.debian.org
Subject: Re: [debian-mysql] Bug#545751: mysql-server-5.1 installation failure
Date: Wed, 09 Sep 2009 10:10:28 +0200
Am Dienstag, den 08.09.2009, 23:23 +0200 schrieb Emmanuel Vazquez:
> /usr/sbin/mysqld: unknown option '--skip-bdb'

Not a bug, just remove skip-bdb from /etc/mysql/my.cnf.

	Norbert





Merged 545751 545752. Request was from rene@rene-engelhard.de (Rene Engelhard) to control@bugs.debian.org. (Wed, 09 Sep 2009 09:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Sun, 20 Sep 2009 05:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Greenhoe <ian@ihgreenman.com>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Sun, 20 Sep 2009 05:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 545751@bugs.debian.org (full text, mbox):

From: Ian Greenhoe <ian@ihgreenman.com>
To: 545751@bugs.debian.org
Date: Sun, 20 Sep 2009 00:40:46 -0500
I just got bitten by this myself.

I have to say that this *is* a bug -- a perfectly legal MySQL
configuration file for 5.0 causes the 5.1 server to crash in such a way
as to prevent the upgrade process from finishing.







Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Sun, 20 Sep 2009 09:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Sun, 20 Sep 2009 09:33:10 GMT) Full text and rfc822 format available.

Message #22 received at 545751@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Ian Greenhoe <ian@ihgreenman.com>, 545751@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [debian-mysql] Bug#545751:
Date: Sun, 20 Sep 2009 10:53:55 +0200
reopen 545751
thanks

Am Sonntag, den 20.09.2009, 00:40 -0500 schrieb Ian Greenhoe:
> I just got bitten by this myself.
> 
> I have to say that this *is* a bug -- a perfectly legal MySQL
> configuration file for 5.0 causes the 5.1 server to crash in such a way
> as to prevent the upgrade process from finishing.

We are not allowed to change files in /etc/ during an upgrade by policy,
so the only way to "fix" this is to abort the upgrade process when the
skip-bdb option is found in /etc and display an explanation.

	Norbert





Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Sep 2009 09:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Fri, 25 Sep 2009 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Fri, 25 Sep 2009 22:27:06 GMT) Full text and rfc822 format available.

Message #29 received at 545751@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: 545751@bugs.debian.org
Subject: (no subject)
Date: Sat, 26 Sep 2009 00:25:27 +0200
Looks like a dupe of http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=539479




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Wed, 21 Oct 2009 00:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Trybus <mtrybus@o2.pl>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Wed, 21 Oct 2009 00:06:02 GMT) Full text and rfc822 format available.

Message #34 received at 545751@bugs.debian.org (full text, mbox):

From: Marcin Trybus <mtrybus@o2.pl>
To: 545751@bugs.debian.org
Subject: Re: [debian-mysql] Bug#545751
Date: Wed, 21 Oct 2009 01:56:19 +0200
I'd like to confirm that this also happens with a clean install of pure squeeze (only iceweasel taken from experimental). I tried both mysql-server from squeeze (5.1.37-2) and sid (5.1.39-1). 

I have no knowledge on how this all works, I only need it as a kmail dependency (which is quite silly BTW). I didn't sent an upstream bug. Since it's a syntax error the bug is most likely linked to the package itself. 


marcin@localhost:~$ sudo cat /var/log/syslog | grep mysql

Oct 21 01:38:13 localhost mysqld_safe[6640]: 091021  1:38:13 [Warning] Forcing shutdown of 2 plugins
Oct 21 01:38:13 localhost mysqld_safe[6640]: 091021  1:38:13 [Warning] Forcing shutdown of 2 plugins
Oct 21 01:38:13 localhost mysqld_safe[6640]: 
Oct 21 01:38:13 localhost mysqld_safe[6640]: PLEASE REMEMBER TO SET A PASSWORD FOR THE MySQL root USER !
Oct 21 01:38:13 localhost mysqld_safe[6640]: To do so, start the server, then issue the following commands:
Oct 21 01:38:13 localhost mysqld_safe[6640]: 
Oct 21 01:38:13 localhost mysqld_safe[6640]: /usr/bin/mysqladmin -u root password 'new-password'
Oct 21 01:38:13 localhost mysqld_safe[6640]: /usr/bin/mysqladmin -u root -h localhost password 'new-password'
Oct 21 01:38:13 localhost mysqld_safe[6640]: 
Oct 21 01:38:13 localhost mysqld_safe[6640]: Alternatively you can run:
Oct 21 01:38:13 localhost mysqld_safe[6640]: /usr/bin/mysql_secure_installation
Oct 21 01:38:13 localhost mysqld_safe[6640]: 
Oct 21 01:38:13 localhost mysqld_safe[6640]: which will also give you the option of removing the test
Oct 21 01:38:13 localhost mysqld_safe[6640]: databases and anonymous user created by default.  This is
Oct 21 01:38:13 localhost mysqld_safe[6640]: strongly recommended for production servers.
Oct 21 01:38:13 localhost mysqld_safe[6640]: 
Oct 21 01:38:13 localhost mysqld_safe[6640]: See the manual for more instructions.
Oct 21 01:38:13 localhost mysqld_safe[6640]: 
Oct 21 01:38:13 localhost mysqld_safe[6640]: Please report any problems with the /usr/scripts/mysqlbug script!
Oct 21 01:38:13 localhost mysqld_safe[6640]: 
Oct 21 01:38:13 localhost mysqld_safe[6640]: The latest information about MySQL is available at http://www.mysql.com/
Oct 21 01:38:13 localhost mysqld_safe[6640]: Support MySQL by buying support/licenses from http://shop.mysql.com/
Oct 21 01:38:13 localhost mysqld_safe[6640]: 
Oct 21 01:38:13 localhost mysqld_safe[6686]: 091021  1:38:13 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:13 localhost mysqld_safe[6686]: 091021  1:38:13  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:13 localhost mysqld_safe[6686]: 091021  1:38:13  InnoDB: Starting shutdown...
Oct 21 01:38:14 localhost mysqld_safe[6686]: 091021  1:38:14  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:14 localhost mysqld_safe[6686]: 091021  1:38:14 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:15 localhost mysqld_safe[6738]: 091021  1:38:15 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:15 localhost mysqld_safe[6738]: 091021  1:38:15  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:15 localhost mysqld_safe[6738]: ERROR: 1064  You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'ALTER TABLE user ADD column Show_view_priv enum('N','Y') CHARACTER SET utf8 NOT ' at line 1
Oct 21 01:38:15 localhost mysqld_safe[6738]: 091021  1:38:15 [ERROR] Aborting
Oct 21 01:38:15 localhost mysqld_safe[6738]: 
Oct 21 01:38:15 localhost mysqld_safe[6738]: 091021  1:38:15  InnoDB: Starting shutdown...
Oct 21 01:38:17 localhost mysqld_safe[6738]: 091021  1:38:17  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:17 localhost mysqld_safe[6738]: 091021  1:38:17 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:17 localhost mysqld_safe[6738]: 091021  1:38:17 [Note] /usr/sbin/mysqld: Shutdown complete
Oct 21 01:38:17 localhost mysqld_safe[6738]: 
Oct 21 01:38:17 localhost mysqld_safe[6760]: 091021  1:38:17 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:17 localhost mysqld_safe[6760]: 091021  1:38:17  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:17 localhost mysqld_safe[6760]: 091021  1:38:17  InnoDB: Starting shutdown...
Oct 21 01:38:18 localhost mysqld_safe[6760]: 091021  1:38:18  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:18 localhost mysqld_safe[6760]: 091021  1:38:18 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:18 localhost mysqld_safe[6786]: 091021  1:38:18 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:18 localhost mysqld_safe[6786]: 091021  1:38:18  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:18 localhost mysqld_safe[6786]: ERROR: 1050  Table 'plugin' already exists
Oct 21 01:38:18 localhost mysqld_safe[6786]: 091021  1:38:18 [ERROR] Aborting
Oct 21 01:38:18 localhost mysqld_safe[6786]: 
Oct 21 01:38:18 localhost mysqld_safe[6786]: 091021  1:38:18  InnoDB: Starting shutdown...
Oct 21 01:38:19 localhost mysqld_safe[6786]: 091021  1:38:19  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:19 localhost mysqld_safe[6786]: 091021  1:38:19 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:19 localhost mysqld_safe[6786]: 091021  1:38:19 [Note] /usr/sbin/mysqld: Shutdown complete
Oct 21 01:38:19 localhost mysqld_safe[6786]: 
Oct 21 01:38:19 localhost mysqld_safe: Starting mysqld daemon with databases from /var/lib/mysql
Oct 21 01:38:19 localhost mysqld: 091021  1:38:19 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:20 localhost mysqld: 091021  1:38:20  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:20 localhost mysqld: 091021  1:38:20 [ERROR] Can't start server: Bind on TCP/IP port: Cannot assign requested address
Oct 21 01:38:20 localhost mysqld: 091021  1:38:20 [ERROR] Do you already have another mysqld server running on port: 3306 ?
Oct 21 01:38:20 localhost mysqld: 091021  1:38:20 [ERROR] Aborting
Oct 21 01:38:20 localhost mysqld: 
Oct 21 01:38:20 localhost mysqld: 091021  1:38:20  InnoDB: Starting shutdown...
Oct 21 01:38:21 localhost mysqld: 091021  1:38:21  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:21 localhost mysqld: 091021  1:38:21 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:21 localhost mysqld: 091021  1:38:21 [Note] /usr/sbin/mysqld: Shutdown complete
Oct 21 01:38:21 localhost mysqld: 
Oct 21 01:38:21 localhost mysqld_safe: mysqld from pid file /var/run/mysqld/mysqld.pid ended
Oct 21 01:38:34 localhost /etc/init.d/mysql[7258]: 0 processes alive and '/usr/bin/mysqladmin --defaults-file=/etc/mysql/debian.cnf ping' resulted in
Oct 21 01:38:34 localhost /etc/init.d/mysql[7258]: #007/usr/bin/mysqladmin: connect to server at 'localhost' failed
Oct 21 01:38:34 localhost /etc/init.d/mysql[7258]: error: 'Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)'
Oct 21 01:38:34 localhost /etc/init.d/mysql[7258]: Check that mysqld is running and that the socket: '/var/run/mysqld/mysqld.sock' exists!
Oct 21 01:38:34 localhost /etc/init.d/mysql[7258]: 
Oct 21 01:38:35 localhost mysqld_safe[7346]: 091021  1:38:35 [Warning] Forcing shutdown of 2 plugins
Oct 21 01:38:35 localhost mysqld_safe[7346]: 091021  1:38:35 [Warning] Forcing shutdown of 2 plugins
Oct 21 01:38:35 localhost mysqld_safe[7346]: 
Oct 21 01:38:35 localhost mysqld_safe[7346]: PLEASE REMEMBER TO SET A PASSWORD FOR THE MySQL root USER !
Oct 21 01:38:35 localhost mysqld_safe[7346]: To do so, start the server, then issue the following commands:
Oct 21 01:38:35 localhost mysqld_safe[7346]: 
Oct 21 01:38:35 localhost mysqld_safe[7346]: /usr/bin/mysqladmin -u root password 'new-password'
Oct 21 01:38:35 localhost mysqld_safe[7346]: /usr/bin/mysqladmin -u root -h localhost password 'new-password'
Oct 21 01:38:35 localhost mysqld_safe[7346]: 
Oct 21 01:38:35 localhost mysqld_safe[7346]: Alternatively you can run:
Oct 21 01:38:35 localhost mysqld_safe[7346]: /usr/bin/mysql_secure_installation
Oct 21 01:38:35 localhost mysqld_safe[7346]: 
Oct 21 01:38:35 localhost mysqld_safe[7346]: which will also give you the option of removing the test
Oct 21 01:38:35 localhost mysqld_safe[7346]: databases and anonymous user created by default.  This is
Oct 21 01:38:35 localhost mysqld_safe[7346]: strongly recommended for production servers.
Oct 21 01:38:35 localhost mysqld_safe[7346]: 
Oct 21 01:38:35 localhost mysqld_safe[7346]: See the manual for more instructions.
Oct 21 01:38:35 localhost mysqld_safe[7346]: 
Oct 21 01:38:35 localhost mysqld_safe[7346]: Please report any problems with the /usr/scripts/mysqlbug script!
Oct 21 01:38:35 localhost mysqld_safe[7346]: 
Oct 21 01:38:35 localhost mysqld_safe[7346]: The latest information about MySQL is available at http://www.mysql.com/
Oct 21 01:38:35 localhost mysqld_safe[7346]: Support MySQL by buying support/licenses from http://shop.mysql.com/
Oct 21 01:38:35 localhost mysqld_safe[7346]: 
Oct 21 01:38:35 localhost mysqld_safe[7397]: 091021  1:38:35 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:35 localhost mysqld_safe[7397]: 091021  1:38:35  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:35 localhost mysqld_safe[7397]: 091021  1:38:35  InnoDB: Starting shutdown...
Oct 21 01:38:36 localhost mysqld_safe[7397]: 091021  1:38:36  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:36 localhost mysqld_safe[7397]: 091021  1:38:36 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:36 localhost mysqld_safe[7427]: 091021  1:38:36 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:36 localhost mysqld_safe[7427]: 091021  1:38:36  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:36 localhost mysqld_safe[7427]: ERROR: 1064  You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'ALTER TABLE user ADD column Show_view_priv enum('N','Y') CHARACTER SET utf8 NOT ' at line 1
Oct 21 01:38:36 localhost mysqld_safe[7427]: 091021  1:38:36 [ERROR] Aborting
Oct 21 01:38:36 localhost mysqld_safe[7427]: 
Oct 21 01:38:36 localhost mysqld_safe[7427]: 091021  1:38:36  InnoDB: Starting shutdown...
Oct 21 01:38:38 localhost mysqld_safe[7427]: 091021  1:38:38  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:38 localhost mysqld_safe[7427]: 091021  1:38:38 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:38 localhost mysqld_safe[7427]: 091021  1:38:38 [Note] /usr/sbin/mysqld: Shutdown complete
Oct 21 01:38:38 localhost mysqld_safe[7427]: 
Oct 21 01:38:38 localhost mysqld_safe[7450]: 091021  1:38:38 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:38 localhost mysqld_safe[7450]: 091021  1:38:38  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:38 localhost mysqld_safe[7450]: 091021  1:38:38  InnoDB: Starting shutdown...
Oct 21 01:38:39 localhost mysqld_safe[7450]: 091021  1:38:39  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:39 localhost mysqld_safe[7450]: 091021  1:38:39 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:39 localhost mysqld_safe[7473]: 091021  1:38:39 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:39 localhost mysqld_safe[7473]: 091021  1:38:39  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:39 localhost mysqld_safe[7473]: ERROR: 1050  Table 'plugin' already exists
Oct 21 01:38:39 localhost mysqld_safe[7473]: 091021  1:38:39 [ERROR] Aborting
Oct 21 01:38:39 localhost mysqld_safe[7473]: 
Oct 21 01:38:39 localhost mysqld_safe[7473]: 091021  1:38:39  InnoDB: Starting shutdown...
Oct 21 01:38:40 localhost mysqld_safe[7473]: 091021  1:38:40  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:40 localhost mysqld_safe[7473]: 091021  1:38:40 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:40 localhost mysqld_safe[7473]: 091021  1:38:40 [Note] /usr/sbin/mysqld: Shutdown complete
Oct 21 01:38:40 localhost mysqld_safe[7473]: 
Oct 21 01:38:40 localhost mysqld_safe: Starting mysqld daemon with databases from /var/lib/mysql
Oct 21 01:38:40 localhost mysqld: 091021  1:38:40 [Note] Plugin 'FEDERATED' is disabled.
Oct 21 01:38:41 localhost mysqld: 091021  1:38:41  InnoDB: Started; log sequence number 0 44233
Oct 21 01:38:41 localhost mysqld: 091021  1:38:41 [ERROR] Can't start server: Bind on TCP/IP port: Cannot assign requested address
Oct 21 01:38:41 localhost mysqld: 091021  1:38:41 [ERROR] Do you already have another mysqld server running on port: 3306 ?
Oct 21 01:38:41 localhost mysqld: 091021  1:38:41 [ERROR] Aborting
Oct 21 01:38:41 localhost mysqld: 
Oct 21 01:38:41 localhost mysqld: 091021  1:38:41  InnoDB: Starting shutdown...
Oct 21 01:38:42 localhost mysqld: 091021  1:38:42  InnoDB: Shutdown completed; log sequence number 0 44233
Oct 21 01:38:42 localhost mysqld: 091021  1:38:42 [Warning] Forcing shutdown of 1 plugins
Oct 21 01:38:42 localhost mysqld: 091021  1:38:42 [Note] /usr/sbin/mysqld: Shutdown complete
Oct 21 01:38:42 localhost mysqld: 
Oct 21 01:38:42 localhost mysqld_safe: mysqld from pid file /var/run/mysqld/mysqld.pid ended
Oct 21 01:38:55 localhost /etc/init.d/mysql[7945]: 0 processes alive and '/usr/bin/mysqladmin --defaults-file=/etc/mysql/debian.cnf ping' resulted in
Oct 21 01:38:55 localhost /etc/init.d/mysql[7945]: #007/usr/bin/mysqladmin: connect to server at 'localhost' failed
Oct 21 01:38:55 localhost /etc/init.d/mysql[7945]: error: 'Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)'
Oct 21 01:38:55 localhost /etc/init.d/mysql[7945]: Check that mysqld is running and that the socket: '/var/run/mysqld/mysqld.sock' exists!
Oct 21 01:38:55 localhost /etc/init.d/mysql[7945]: 




Information forwarded to debian-bugs-dist@lists.debian.org, debbugs@tuxmachine.com, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Sat, 30 Jan 2010 22:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Baron <debbugs@tuxmachine.com>:
Extra info received and forwarded to list. Copy sent to debbugs@tuxmachine.com, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Sat, 30 Jan 2010 22:51:08 GMT) Full text and rfc822 format available.

Message #39 received at 545751@bugs.debian.org (full text, mbox):

From: Jeremy Baron <debbugs@tuxmachine.com>
To: Debian Bug Tracking System <545751@bugs.debian.org>
Subject: Re: installation failure
Date: Sat, 30 Jan 2010 17:47:46 +0000
Package: mysql-server-5.1
Severity: normal

Marcin Trybus said:
> I'd like to confirm that this also happens with a clean install of pure
> squeeze (only iceweasel taken from experimental). I tried both mysql-server
> from squeeze (5.1.37-2) and sid (5.1.39-1).

I installed testing and upgraded to sid. (as of today)

I was able to install mysql-server-5.1 5.1.41-4 without any errors and query
the running server.

The versions Marcin tested with are not currently available from
snapshot.debian.net or listed on packages.debian.org.

-Jeremy

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mysql-server-5.1 depends on:
ii  adduser                 3.112            add and remove users and groups
ii  debconf [debconf-2.0]   1.5.28           Debian configuration management sy
ii  libc6                   2.10.2-5         Embedded GNU C Library: Shared lib
ii  libdbi-perl             1.609-1          Perl Database Interface (DBI)
ii  libgcc1                 1:4.4.3-1        GCC support library
ii  libmysqlclient16        5.1.41-4         MySQL database client library
ii  libstdc++6              4.4.3-1          The GNU Standard C++ Library v3
ii  libwrap0                7.6.q-18         Wietse Venema's TCP wrappers libra
ii  lsb-base                3.2-23           Linux Standard Base 3.2 init scrip
ii  mysql-client-5.1        5.1.41-4         MySQL database client binaries
ii  mysql-common            5.1.41-4         MySQL database common files (e.g. 
ii  passwd                  1:4.1.4.2-1      change and administer password and
ii  perl                    5.10.1-9         Larry Wall's Practical Extraction 
ii  psmisc                  22.10-1          utilities that use the proc file s
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages mysql-server-5.1 recommends:
ii  bsd-mailx [mailx]  8.1.2-0.20090911cvs-2 simple mail user agent
ii  heirloom-mailx [ma 12.4-1.1+b1           feature-rich BSD mail(1)
ii  libhtml-template-p 2.9-1                 HTML::Template : A module for usin

Versions of packages mysql-server-5.1 suggests:
pn  tinyca                        <none>     (no description available)

-- debconf information:
  mysql-server/error_setting_password:
  mysql-server-5.1/nis_warning:
  mysql-server-5.1/really_downgrade: false
  mysql-server-5.1/start_on_boot: true
  mysql-server-5.1/postrm_remove_databases: false
  mysql-server/password_mismatch:
  mysql-server/no_upgrade_when_using_ndb:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Fri, 12 Feb 2010 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Trybus <mtrybus@o2.pl>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Fri, 12 Feb 2010 17:24:03 GMT) Full text and rfc822 format available.

Message #44 received at 545751@bugs.debian.org (full text, mbox):

From: Marcin Trybus <mtrybus@o2.pl>
To: 545751@bugs.debian.org
Subject: Still doesn't work for me
Date: Fri, 12 Feb 2010 18:20:32 +0100
Package: mysql-server-5.1
Version: 5.1.41-3
Severity: normal

*** Please type your report below this line ***

I tried the latest version and I still get pretty much (exactly?) the same 
results. Let me know if you want me to send in some config files. Since I'm 
rather inexperienced nearly all configs are using default values. I don't 
remember ever using mysql-server before so it's likely not a scale config file. 


Feb 12 18:01:58 localhost mysqld_safe[6313]: 
Feb 12 18:01:58 localhost mysqld_safe[6313]: PLEASE REMEMBER TO SET A PASSWORD 
FOR THE MySQL root USER !
Feb 12 18:01:58 localhost mysqld_safe[6313]: To do so, start the server, then 
issue the following commands:
Feb 12 18:01:58 localhost mysqld_safe[6313]: 
Feb 12 18:01:58 localhost mysqld_safe[6313]: /usr/bin/mysqladmin -u root 
password 'new-password'
Feb 12 18:01:58 localhost mysqld_safe[6313]: /usr/bin/mysqladmin -u root -h 
localhost password 'new-password'
Feb 12 18:01:58 localhost mysqld_safe[6313]: 
Feb 12 18:01:58 localhost mysqld_safe[6313]: Alternatively you can run:
Feb 12 18:01:58 localhost mysqld_safe[6313]: 
/usr/bin/mysql_secure_installation
Feb 12 18:01:58 localhost mysqld_safe[6313]: 
Feb 12 18:01:58 localhost mysqld_safe[6313]: which will also give you the 
option of removing the test
Feb 12 18:01:58 localhost mysqld_safe[6313]: databases and anonymous user 
created by default.  This is
Feb 12 18:01:58 localhost mysqld_safe[6313]: strongly recommended for 
production servers.
Feb 12 18:01:58 localhost mysqld_safe[6313]: 
Feb 12 18:01:58 localhost mysqld_safe[6313]: See the manual for more 
instructions.
Feb 12 18:01:58 localhost mysqld_safe[6313]: 
Feb 12 18:01:58 localhost mysqld_safe[6313]: Please report any problems with 
the /usr/scripts/mysqlbug script!
Feb 12 18:01:58 localhost mysqld_safe[6313]: 
Feb 12 18:01:58 localhost mysqld_safe[6313]: The latest information about 
MySQL is available at http://www.mysql.com/
Feb 12 18:01:58 localhost mysqld_safe[6313]: Support MySQL by buying 
support/licenses from http://shop.mysql.com/
Feb 12 18:01:58 localhost mysqld_safe[6313]: 
Feb 12 18:01:58 localhost mysqld_safe[6359]: 100212 18:01:58 [Note] Plugin 
'FEDERATED' is disabled.
Feb 12 18:01:58 localhost mysqld_safe[6359]: 100212 18:01:58  InnoDB: Started; 
log sequence number 0 44233
Feb 12 18:01:58 localhost mysqld_safe[6359]: 100212 18:01:58  InnoDB: Starting 
shutdown...
Feb 12 18:01:59 localhost mysqld_safe[6359]: 100212 18:01:59  InnoDB: Shutdown 
completed; log sequence number 0 44233
Feb 12 18:02:00 localhost mysqld_safe[6407]: 100212 18:02:00 [Note] Plugin 
'FEDERATED' is disabled.
Feb 12 18:02:00 localhost mysqld_safe[6407]: 100212 18:02:00  InnoDB: Started; 
log sequence number 0 44233
Feb 12 18:02:00 localhost mysqld_safe[6407]: ERROR: 1064  You have an error in 
your SQL syntax; check the manual that corresponds to your MySQL server 
version for the right syntax to use near 'ALTER TABLE user ADD column 
Show_view_priv enum('N','Y') CHARACTER SET utf8 NOT ' at line 1
Feb 12 18:02:00 localhost mysqld_safe[6407]: 100212 18:02:00 [ERROR] Aborting
Feb 12 18:02:00 localhost mysqld_safe[6407]: 
Feb 12 18:02:00 localhost mysqld_safe[6407]: 100212 18:02:00  InnoDB: Starting 
shutdown...
Feb 12 18:02:02 localhost mysqld_safe[6407]: 100212 18:02:02  InnoDB: Shutdown 
completed; log sequence number 0 44233
Feb 12 18:02:02 localhost mysqld_safe[6407]: 100212 18:02:02 [Note] 
/usr/sbin/mysqld: Shutdown complete
Feb 12 18:02:02 localhost mysqld_safe[6407]: 
Feb 12 18:02:02 localhost mysqld_safe[6427]: 100212 18:02:02 [Note] Plugin 
'FEDERATED' is disabled.
Feb 12 18:02:02 localhost mysqld_safe[6427]: 100212 18:02:02  InnoDB: Started; 
log sequence number 0 44233
Feb 12 18:02:02 localhost mysqld_safe[6427]: 100212 18:02:02  InnoDB: Starting 
shutdown...
Feb 12 18:02:03 localhost mysqld_safe[6427]: 100212 18:02:03  InnoDB: Shutdown 
completed; log sequence number 0 44233
Feb 12 18:02:03 localhost mysqld_safe[6447]: 100212 18:02:03 [Note] Plugin 
'FEDERATED' is disabled.
Feb 12 18:02:03 localhost mysqld_safe[6447]: 100212 18:02:03  InnoDB: Started; 
log sequence number 0 44233
Feb 12 18:02:03 localhost mysqld_safe[6447]: ERROR: 1050  Table 'plugin' 
already exists
Feb 12 18:02:03 localhost mysqld_safe[6447]: 100212 18:02:03 [ERROR] Aborting
Feb 12 18:02:03 localhost mysqld_safe[6447]: 
Feb 12 18:02:03 localhost mysqld_safe[6447]: 100212 18:02:03  InnoDB: Starting 
shutdown...
Feb 12 18:02:04 localhost mysqld_safe[6447]: 100212 18:02:04  InnoDB: Shutdown 
completed; log sequence number 0 44233
Feb 12 18:02:04 localhost mysqld_safe[6447]: 100212 18:02:04 [Note] 
/usr/sbin/mysqld: Shutdown complete
Feb 12 18:02:04 localhost mysqld_safe[6447]: 
Feb 12 18:02:05 localhost mysqld_safe: Starting mysqld daemon with databases 
from /var/lib/mysql
Feb 12 18:02:05 localhost mysqld: 100212 18:02:05 [Note] Plugin 'FEDERATED' is 
disabled.
Feb 12 18:02:05 localhost mysqld: 100212 18:02:05  InnoDB: Started; log 
sequence number 0 44233
Feb 12 18:02:05 localhost mysqld: 100212 18:02:05 [ERROR] Can't start server: 
Bind on TCP/IP port: Cannot assign requested address
Feb 12 18:02:05 localhost mysqld: 100212 18:02:05 [ERROR] Do you already have 
another mysqld server running on port: 3306 ?
Feb 12 18:02:05 localhost mysqld: 100212 18:02:05 [ERROR] Aborting
Feb 12 18:02:05 localhost mysqld: 
Feb 12 18:02:05 localhost mysqld: 100212 18:02:05  InnoDB: Starting 
shutdown...
Feb 12 18:02:06 localhost mysqld: 100212 18:02:06  InnoDB: Shutdown completed; 
log sequence number 0 44233
Feb 12 18:02:06 localhost mysqld: 100212 18:02:06 [Note] /usr/sbin/mysqld: 
Shutdown complete
Feb 12 18:02:06 localhost mysqld: 
Feb 12 18:02:06 localhost mysqld_safe: mysqld from pid file 
/var/run/mysqld/mysqld.pid ended
Feb 12 18:02:19 localhost /etc/init.d/mysql[6873]: 0 processes alive and 
'/usr/bin/mysqladmin --defaults-file=/etc/mysql/debian.cnf ping' resulted in
Feb 12 18:02:19 localhost /etc/init.d/mysql[6873]: #007/usr/bin/mysqladmin: 
connect to server at 'localhost' failed
Feb 12 18:02:19 localhost /etc/init.d/mysql[6873]: error: 'Can't connect to 
local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)'
Feb 12 18:02:19 localhost /etc/init.d/mysql[6873]: Check that mysqld is 
running and that the socket: '/var/run/mysqld/mysqld.sock' exists!
Feb 12 18:02:19 localhost /etc/init.d/mysql[6873]: 
Feb 12 18:02:21 localhost mysqld_safe[6960]: 
Feb 12 18:02:21 localhost mysqld_safe[6960]: PLEASE REMEMBER TO SET A PASSWORD 
FOR THE MySQL root USER !
Feb 12 18:02:21 localhost mysqld_safe[6960]: To do so, start the server, then 
issue the following commands:
Feb 12 18:02:21 localhost mysqld_safe[6960]: 
Feb 12 18:02:21 localhost mysqld_safe[6960]: /usr/bin/mysqladmin -u root 
password 'new-password'
Feb 12 18:02:21 localhost mysqld_safe[6960]: /usr/bin/mysqladmin -u root -h 
localhost password 'new-password'
Feb 12 18:02:21 localhost mysqld_safe[6960]: 
Feb 12 18:02:21 localhost mysqld_safe[6960]: Alternatively you can run:
Feb 12 18:02:21 localhost mysqld_safe[6960]: 
/usr/bin/mysql_secure_installation
Feb 12 18:02:21 localhost mysqld_safe[6960]: 
Feb 12 18:02:21 localhost mysqld_safe[6960]: which will also give you the 
option of removing the test
Feb 12 18:02:21 localhost mysqld_safe[6960]: databases and anonymous user 
created by default.  This is
Feb 12 18:02:21 localhost mysqld_safe[6960]: strongly recommended for 
production servers.
Feb 12 18:02:21 localhost mysqld_safe[6960]: 
Feb 12 18:02:21 localhost mysqld_safe[6960]: See the manual for more 
instructions.
Feb 12 18:02:21 localhost mysqld_safe[6960]: 
Feb 12 18:02:21 localhost mysqld_safe[6960]: Please report any problems with 
the /usr/scripts/mysqlbug script!
Feb 12 18:02:21 localhost mysqld_safe[6960]: 
Feb 12 18:02:21 localhost mysqld_safe[6960]: The latest information about 
MySQL is available at http://www.mysql.com/
Feb 12 18:02:21 localhost mysqld_safe[6960]: Support MySQL by buying 
support/licenses from http://shop.mysql.com/
Feb 12 18:02:21 localhost mysqld_safe[6960]: 
Feb 12 18:02:21 localhost mysqld_safe[7005]: 100212 18:02:21 [Note] Plugin 
'FEDERATED' is disabled.
Feb 12 18:02:21 localhost mysqld_safe[7005]: 100212 18:02:21  InnoDB: Started; 
log sequence number 0 44233
Feb 12 18:02:21 localhost mysqld_safe[7005]: 100212 18:02:21  InnoDB: Starting 
shutdown...
Feb 12 18:02:22 localhost mysqld_safe[7005]: 100212 18:02:22  InnoDB: Shutdown 
completed; log sequence number 0 44233
Feb 12 18:02:22 localhost mysqld_safe[7035]: 100212 18:02:22 [Note] Plugin 
'FEDERATED' is disabled.
Feb 12 18:02:22 localhost mysqld_safe[7035]: 100212 18:02:22  InnoDB: Started; 
log sequence number 0 44233
Feb 12 18:02:22 localhost mysqld_safe[7035]: ERROR: 1064  You have an error in 
your SQL syntax; check the manual that corresponds to your MySQL server 
version for the right syntax to use near 'ALTER TABLE user ADD column 
Show_view_priv enum('N','Y') CHARACTER SET utf8 NOT ' at line 1
Feb 12 18:02:22 localhost mysqld_safe[7035]: 100212 18:02:22 [ERROR] Aborting
Feb 12 18:02:22 localhost mysqld_safe[7035]: 
Feb 12 18:02:22 localhost mysqld_safe[7035]: 100212 18:02:22  InnoDB: Starting 
shutdown...
Feb 12 18:02:24 localhost mysqld_safe[7035]: 100212 18:02:24  InnoDB: Shutdown 
completed; log sequence number 0 44233
Feb 12 18:02:24 localhost mysqld_safe[7035]: 100212 18:02:24 [Note] 
/usr/sbin/mysqld: Shutdown complete
Feb 12 18:02:24 localhost mysqld_safe[7035]: 
Feb 12 18:02:24 localhost mysqld_safe[7055]: 100212 18:02:24 [Note] Plugin 
'FEDERATED' is disabled.
Feb 12 18:02:24 localhost mysqld_safe[7055]: 100212 18:02:24  InnoDB: Started; 
log sequence number 0 44233
Feb 12 18:02:24 localhost mysqld_safe[7055]: 100212 18:02:24  InnoDB: Starting 
shutdown...
Feb 12 18:02:25 localhost mysqld_safe[7055]: 100212 18:02:25  InnoDB: Shutdown 
completed; log sequence number 0 44233
Feb 12 18:02:25 localhost mysqld_safe[7075]: 100212 18:02:25 [Note] Plugin 
'FEDERATED' is disabled.
Feb 12 18:02:25 localhost mysqld_safe[7075]: 100212 18:02:25  InnoDB: Started; 
log sequence number 0 44233
Feb 12 18:02:25 localhost mysqld_safe[7075]: ERROR: 1050  Table 'plugin' 
already exists
Feb 12 18:02:25 localhost mysqld_safe[7075]: 100212 18:02:25 [ERROR] Aborting
Feb 12 18:02:25 localhost mysqld_safe[7075]: 
Feb 12 18:02:25 localhost mysqld_safe[7075]: 100212 18:02:25  InnoDB: Starting 
shutdown...
Feb 12 18:02:26 localhost mysqld_safe[7075]: 100212 18:02:26  InnoDB: Shutdown 
completed; log sequence number 0 44233
Feb 12 18:02:26 localhost mysqld_safe[7075]: 100212 18:02:26 [Note] 
/usr/sbin/mysqld: Shutdown complete
Feb 12 18:02:26 localhost mysqld_safe[7075]: 
Feb 12 18:02:26 localhost mysqld_safe: Starting mysqld daemon with databases 
from /var/lib/mysql
Feb 12 18:02:26 localhost mysqld: 100212 18:02:26 [Note] Plugin 'FEDERATED' is 
disabled.
Feb 12 18:02:26 localhost mysqld: 100212 18:02:26  InnoDB: Started; log 
sequence number 0 44233
Feb 12 18:02:26 localhost mysqld: 100212 18:02:26 [ERROR] Can't start server: 
Bind on TCP/IP port: Cannot assign requested address
Feb 12 18:02:26 localhost mysqld: 100212 18:02:26 [ERROR] Do you already have 
another mysqld server running on port: 3306 ?
Feb 12 18:02:26 localhost mysqld: 100212 18:02:26 [ERROR] Aborting
Feb 12 18:02:26 localhost mysqld: 
Feb 12 18:02:26 localhost mysqld: 100212 18:02:26  InnoDB: Starting 
shutdown...
Feb 12 18:02:28 localhost mysqld: 100212 18:02:28  InnoDB: Shutdown completed; 
log sequence number 0 44233
Feb 12 18:02:28 localhost mysqld: 100212 18:02:28 [Note] /usr/sbin/mysqld: 
Shutdown complete
Feb 12 18:02:28 localhost mysqld: 
Feb 12 18:02:28 localhost mysqld_safe: mysqld from pid file 
/var/run/mysqld/mysqld.pid ended
Feb 12 18:02:41 localhost /etc/init.d/mysql[7497]: 0 processes alive and 
'/usr/bin/mysqladmin --defaults-file=/etc/mysql/debian.cnf ping' resulted in
Feb 12 18:02:41 localhost /etc/init.d/mysql[7497]: #007/usr/bin/mysqladmin: 
connect to server at 'localhost' failed
Feb 12 18:02:41 localhost /etc/init.d/mysql[7497]: error: 'Can't connect to 
local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)'
Feb 12 18:02:41 localhost /etc/init.d/mysql[7497]: Check that mysqld is 
running and that the socket: '/var/run/mysqld/mysqld.sock' exists!
Feb 12 18:02:41 localhost /etc/init.d/mysql[7497]: 




-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mysql-server-5.1 depends on:
ii  adduser                 3.112            add and remove users and groups
ii  debconf [debconf-2.0]   1.5.28           Debian configuration management sy
ii  libc6                   2.10.2-2         GNU C Library: Shared libraries
ii  libdbi-perl             1.609-1          Perl Database Interface (DBI)
ii  libgcc1                 1:4.4.2-9        GCC support library
ii  libmysqlclient16        5.1.41-3         MySQL database client library
ii  libstdc++6              4.4.2-9          The GNU Standard C++ Library v3
ii  libwrap0                7.6.q-18         Wietse Venema's TCP wrappers 
libra
ii  lsb-base                3.2-23           Linux Standard Base 3.2 init 
scrip
ii  mysql-client-5.1        5.1.41-3         MySQL database client binaries
ii  mysql-common            5.1.41-3         MySQL database common files (e.g. 
ii  passwd                  1:4.1.4.2-1      change and administer password 
and
ii  perl                    5.10.1-9         Larry Wall's Practical Extraction 
ii  psmisc                  22.10-1          utilities that use the proc file s
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages mysql-server-5.1 recommends:
ii  heirloom-mailx [mailx]       12.4-1.1+b1 feature-rich BSD mail(1)
ii  libhtml-template-perl        2.9-1       HTML::Template : A module for 
usin

Versions of packages mysql-server-5.1 suggests:
pn  tinyca                        <none>     (no description available)

-- debconf information:
  mysql-server/error_setting_password:
  mysql-server-5.1/start_on_boot: true
  mysql-server-5.1/postrm_remove_databases: false
  mysql-server-5.1/nis_warning:
  mysql-server-5.1/really_downgrade: false
* mysql-server/password_mismatch:
  mysql-server/no_upgrade_when_using_ndb:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Fri, 12 Feb 2010 19:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Fri, 12 Feb 2010 19:12:02 GMT) Full text and rfc822 format available.

Message #49 received at 545751@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Marcin Trybus <mtrybus@o2.pl>, 545751@bugs.debian.org
Subject: Re: [debian-mysql] Bug#545751: Still doesn't work for me
Date: Fri, 12 Feb 2010 19:39:11 +0100
Am Freitag, den 12.02.2010, 18:20 +0100 schrieb Marcin Trybus:
> Feb 12 18:02:05 localhost mysqld: 100212 18:02:05 [ERROR] Can't start server: 
> Bind on TCP/IP port: Cannot assign requested address
> Feb 12 18:02:05 localhost mysqld: 100212 18:02:05 [ERROR] Do you already have 
> another mysqld server running on port: 3306 ?

This is the only real problem I see in your log... there seem so be a
service listening on port 3306 already.

	Norbert





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Thu, 11 Mar 2010 18:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Slootman <paul@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Thu, 11 Mar 2010 18:33:03 GMT) Full text and rfc822 format available.

Message #54 received at 545751@bugs.debian.org (full text, mbox):

From: Paul Slootman <paul@debian.org>
To: 545751@bugs.debian.org
Subject: Re: Still doesn't work for me
Date: Thu, 11 Mar 2010 19:17:24 +0100
On Fri 12 Feb 2010, Marcin Trybus wrote:

> Feb 12 18:02:00 localhost mysqld_safe[6407]: ERROR: 1064  You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'ALTER TABLE user ADD column Show_view_priv enum('N','Y') CHARACTER SET utf8 NOT ' at line 1

Note also the above line.

I got this when upgrading mysql-server-5.1 5.1.41-3 -> 5.1.44-3.
5.1.41-3 was installed cleanly on a new system.

The column it's trying to add (Show_view_priv) is actually already
there.


Paul




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#545751; Package mysql-server-5.1. (Mon, 22 Mar 2010 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Mon, 22 Mar 2010 20:00:03 GMT) Full text and rfc822 format available.

Message #59 received at 545751@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 545751@bugs.debian.org
Subject: mysql-server-5.1: /etc/mysql/debian.cnf unreadable
Date: Mon, 22 Mar 2010 20:56:31 +0100
Hello,

I got bitten by this bug. While debugging startup script
(/etc/init.d/mysql), it tries to read /etc/mysql/debian.cnf but this
file is rw------- owned by root:root, causing following error:

++ /usr/bin/mysqladmin --defaults-file=/etc/mysql/debian.cnf ping
+ ping_output='/usr/bin/mysqladmin: connect to server at
'\''localhost'\'' failed
error: '\''Can'\''t connect to local MySQL server through socket
'\''/var/run/mysqld/mysqld.sock'\'' (2)'\''
Check that mysqld is running and that the socket:
'\''/var/run/mysqld/mysqld.sock'\'' exists!'

I also need to have 'lo' loopback network interface up and a
resolvable localhost domain :-)

Well, at least doing a chmod a+r to debian.cnf fixed my problem which
it is unsafe for multiuser computers.

I hope this helps to find a proper fix to this issue.

Kind regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Forcibly Merged 539479 545751 545752. Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Sat, 13 Nov 2010 20:39:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://bugs.mysql.com/bug.php?id=50336'. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 19 Mar 2012 20:15:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:10:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.